#
# Conditional build:
%bcond_without tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Network Kanji code conversion Filter
Summary(pl.UTF-8):	Sieciowy filtr konwertujący kod Kanji
Name:		nkf
Version:	2.02
%define	fver	%(echo %{version} | tr -d .)
Release:	6
License:	BSD-like
Group:		Applications/Text
Source0:	http://www01.tcp-ip.or.jp/~furukawa/nkf_utf8/%{name}%{fver}.tar.gz
# Source0-md5:	5157b91879471b450997f4eec5af62e6
URL:		http://www01.tcp-ip.or.jp/~furukawa/nkf_utf8/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nkf is a yet another kanji code converter among networks, hosts and
terminals. It converts input kanji code to designated kanji code such
as 7-bit JIS, MS-kanji (shifted-JIS), utf-8 or EUC. One of the most
unique facicility of nkf is the guess of the input kanji code. It
currently recognizes 7-bit JIS, MS-kanji (shifted-JIS), utf-8 and EUC.
So users needn't the input kanji code specification.

%description -l pl.UTF-8
nkf to jeszcze jeden konwerter kodu kanji pomiędzy sieciami, hostami i
terminalami. Konwertuje wejście w kodzie kanji do konkretnego kodu
kanji, takiego jak 7-bitowy JIS, MS-kanji (przesunięty JIS), utf-8 lub
EUC. Jednym z unikalnych udogodnień nkf jest to, że rozpoznaje
wejściowy kod kanji. Aktualnie rozpoznaje 7-bitowy JIS, MS-kanji
(przesunięty JIS), utf-8 i EUC. Dzięki temu użytkownicy nie muszą znać
specyfikacji wejściowego kodu kanji.

%package -n perl-NKF
Summary:	NKF - Perl extension for Network Kanji Filter
Summary(pl.UTF-8):	NKF - rozszerzenie Perla dla sieciowy filtra Kanji
Group:		Development/Languages/Perl

%description -n perl-NKF
This is a Perl Extension version of nkf (Network Kanji Filter). It
converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%description -n perl-NKF -l pl.UTF-8
To jest nkf (Network Kanji Filter - sieciowego filtra kanji) jako
rozszerzenie Perla. Konwertuje tekst podany jako ostatni argument i
zwraca wynik konwersji. Szczegóły konwersji podaje się przy pomocy
flag przed ostatnim argumentem.

%prep
%setup -q -n %{name}%{fver}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{?with_tests:%{__make} test}

cd NKF.mod
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_mandir}/ja/man1}

%{__make} -C NKF.mod install \
	DESTDIR=$RPM_BUILD_ROOT

install nkf $RPM_BUILD_ROOT%{_bindir}
install nkf.1 $RPM_BUILD_ROOT%{_mandir}/man1
install nkf.1j $RPM_BUILD_ROOT%{_mandir}/ja/man1/nkf.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nkf
%{_mandir}/man1/nkf.1*
%{_mandir}/ja/man1/nkf.1*

%files -n perl-NKF
%defattr(644,root,root,755)
%doc NKF.mod/{Changes,README}
%{perl_vendorarch}/NKF.pm
%dir %{perl_vendorarch}/auto/NKF
%{perl_vendorarch}/auto/NKF/NKF.bs
%attr(755,root,root) %{perl_vendorarch}/auto/NKF/NKF.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nkf.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7333c9b
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 37be074
- release 5

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 7a0a2a8
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 18d2c0f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 57d255d
- converted to UTF-8

* Sun Dec 03 2006 darekr <darekr@pld-linux.org> 6f50220
- new bcond style

* Sun May 09 2004 ankry <ankry@pld-linux.org> 245c804
- BR fixes, rel. 3

* Fri Sep 12 2003 Paweł Gołaszewski <blues@pld-linux.org> 6be6c22
- cosmetics

* Fri Sep 12 2003 twittner <twittner@pld-linux.org> 89a22a7
- Release 2: now rel.1 is for Ra* on RA-branch,
  rel.2 for newer than Ra*

* Sat Aug 30 2003 twittner <twittner@pld-linux.org> eae9a13
- removed "BuildArch: noarch" (`file` tell you truth)

* Tue Aug 26 2003 Jakub Bogusz <qboosh@pld-linux.org> 5336266
- new (contains perl-NKF required by namazu)

